Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162271 - Problem with b44: SIOCSIFFLAGS: Cannot allocate memory
Summary: Problem with b44: SIOCSIFFLAGS: Cannot allocate memory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 168424
TreeView+ depends on / blocked
 
Reported: 2005-07-01 20:33 UTC by John W. Linville
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2006-0144
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-03-15 16:11:47 UTC


Attachments (Terms of Use)
jwltest-b44-alloc.patch (deleted)
2005-07-01 20:33 UTC, John W. Linville
no flags Details | Diff
jwltest-b44-alloc.patch (deleted)
2005-08-26 19:30 UTC, John W. Linville
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0144 qe-ready SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 7 2006-03-15 05:00:00 UTC

Description John W. Linville 2005-07-01 20:33:38 UTC
+++ This bug was initially created as a clone of Bug #161846 +++

Description of problem:
Sometimes the following message appears when trying to set up the eth0 device:

[root@bofh /tmp]# ifconfig eth0 up
SIOCSIFFLAGS: Cannot allocate memory

[root@bofh /tmp]# ifconfig eth0 192.168.2.2
SIOCSIFFLAGS: Cannot allocate memory

This only happens with the primary interface, a b44 ethernet controller.
Wireless and a second usb nic do not show these problems.

The nic in question:
01:0e.0 Ethernet controller: Broadcom Corporation BCM4401-B0 100Base-TX (rev 02)
        Subsystem: Hewlett-Packard Company: Unknown device 08bc
        Flags: bus master, fast devsel, latency 64, IRQ 11
        Memory at 90080000 (32-bit, non-prefetchable) [size=8K]
        Capabilities: [40] Power Management version 2

The installed kernel is 2.6.9-11EL, but this problem happened with earlier
kernels as well.

Comment 1 John W. Linville 2005-07-01 20:33:39 UTC
Created attachment 116262 [details]
jwltest-b44-alloc.patch

Comment 6 John W. Linville 2005-08-26 19:30:48 UTC
Created attachment 118172 [details]
jwltest-b44-alloc.patch

Better implementation...

Comment 7 John W. Linville 2005-08-26 19:31:54 UTC
Test kernels w/ above patch available here: 
 
   http://people.redhat.com/linville/kernels/rhel3/ 
 
I'd love to hear from anyone that has experienced this problem on RHEL3... :-) 

Comment 14 Ernie Petrides 2005-10-27 02:23:39 UTC
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-37.7.EL).


Comment 17 Red Hat Bugzilla 2006-03-15 16:11:47 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html



Note You need to log in before you can comment on or make changes to this bug.